<?php
#################################### Parse Filter ##############################################
# This file takes values from the filter.php file and parses them accordingly. The database is
# searched for the filter values and the results are displayed similaraly to the Google search
# results, with a link to the view.php
include_once("../main/header.php"); # include header
include_once("../database/global_variables.inc"); # include the database access file
echo "<div class=\"content\"><br/>";
echo "<strong>Here are the results of your filter:</strong><br/>" .
		"Click on the company name to view all information about each individual contract.<br/><br/>" .
		"<br/><strong>You chose to filter by {$_POST['choose_filter']}:</strong><br/><br/>";
if(!empty($_POST)) # if $_POST variable is not empty. This is a bit agricultural - there has to be a better way
{
	$global = $_POST['global']; # status of global toggle checkbox
	$choose_filter = $_POST['choose_filter']; # status of choose_filter <select>
	$additional_filter = $_POST['additional_filter']; # status of additional_filter <select>
	$additional_terms = $_POST['additional_terms']; # whatever was entered in additional_terms text field
	$partner_1 = $_POST['partner_1']; # value of the contract filtered
	$governing_law = $_POST['governing_law'];
	$effective_date = $_POST['effective_date'];
	$termination_date = $_POST['termination_date'];
	$manager_name = $_POST['manager_name'];
	$cm_username = $_POST['cm_username'];
	$department = $_POST['department'];
}	


switch($choose_filter)
{
	case "company": $choose_filter = "company"; break;
	case "similar_company": $choose_filter = "similar"; break;
	case "effective_date": $choose_filter = "effective_date"; break;
	case "termination_date": $choose_filter = "termination_date"; break;
	case "department": $choose_filter = "department"; break;
	case "manager_name": $choose_filter = "manager_name"; break;
	case "cm_username": $choose_filter = "cm_username"; break;
	case "governing_law": $choose_filter = "governing_law"; break;
	default: $choose_filter = "company";
}

@mysql_select_db($db_database) or die( "Unable to select database"); # Connect to the appropriate database or error

if($choose_filter == "similar")
{

# Select the first word of the company name. This serves to identify companies similar to partner_1
# i.e. Siemens AG is partner_1 and this finds Siemens. When we put this into the database search script
# we can find Siemens* which returns Siemens Limited, Siemens GmbH, Siemens SRL etc.
	function firstword($string,$number=1,$seperator=" ") 
	{//word num of string
   		if($number>0)$number--;
  		 $array    = explode($seperator, $string);
  		 if(count($array)>=$number)
       		return $array[$number];
   			return;
	}

$similar = firstword($partner_1); # take only the first word in the company name


$find_similar = "SELECT * FROM main_contracts WHERE partner_1 NOT LIKE '{$partner_1}' AND partner_1 LIKE '{$similar}%'";
$exec_find_similar = mysql_query($find_similar) or die (mysql_error());
$count = mysql_num_rows($exec_find_similar);
$i = 0;
while($i < $count)
{
	$filing_id = mysql_result($exec_find_similar,$i,"filing_id");
	$partner_1 = mysql_result($exec_find_similar,$i,"partner_1");
	$contract_id = mysql_result($exec_find_similar,$i,"contract_id");
	$contract_register = mysql_result($exec_find_similar, $i, "contract_register");
	$contract_type = mysql_result($exec_find_similar, $i, "contract_type");
	$contract_year = mysql_result($exec_find_similar, $i, "contract_year");
	$contract_purpose = mysql_result($exec_find_similar, $i, "contract_purpose");
	$effective_date = mysql_result($exec_find_similar, $i, "effective_date");
	$termination_date = mysql_result($exec_find_similar, $i, "termination_date");
	$manager_name = mysql_result($exec_find_similar, $i, "manager_name");
	
?>
<table width="100%" cellspacing="2" cellpadding="2" border="0" class="content">
<tr bgcolor="#DDDDDD">
<td><strong>Contract Register</strong></td><td><strong>Contract Type</strong></td><td><strong>Contract Year</strong></td><td><strong>Company Name (Partner 1 Similar)</strong></td><td><strong>Effective Date</strong></td><td><strong>Termination Date</strong></td><td><strong>Purpose</strong></td>
</tr>

<tr bgcolor="#EEF6EF">

<td valign="top"><?=$contract_register?></td>
<td valign="top"><?=$contract_type?></td>
<td valign="top"><?=$contract_year?></td>
<td valign="top"><a href="../main/view.php?contract_id=<?=$contract_id?>"><?=$partner_1?></a></td>
<td valign="top"><?=$effective_date?></td>
<td valign="top"><?=$termination_date?></td>
<td valign="top"><textarea rows="4" cols="15"><?=$contract_purpose?></textarea></td>
</tr>
</table>
<br/>
<?
$i++;
}
} # end if (for choose_filter = similar_company)
elseif($choose_filter == "department")
{
	$find_similar = "SELECT * FROM main_contracts WHERE department LIKE '{$department}'";
$exec_find_similar = mysql_query($find_similar) or die (mysql_error());
$count = mysql_num_rows($exec_find_similar);
$i = 0;
while($i < $count)
{
	$filing_id = mysql_result($exec_find_similar,$i,"filing_id");
	$partner_1 = mysql_result($exec_find_similar,$i,"partner_1");
	$contract_id = mysql_result($exec_find_similar,$i,"contract_id");
	$contract_register = mysql_result($exec_find_similar, $i, "contract_register");
	$contract_type = mysql_result($exec_find_similar, $i, "contract_type");
	$contract_year = mysql_result($exec_find_similar, $i, "contract_year");
	$contract_purpose = mysql_result($exec_find_similar, $i, "contract_purpose");
	$effective_date = mysql_result($exec_find_similar, $i, "effective_date");
	$termination_date = mysql_result($exec_find_similar, $i, "termination_date");
	$manager_name = mysql_result($exec_find_similar, $i, "manager_name");
	
?>
<table width="100%" cellspacing="2" cellpadding="2" border="0" class="content">
<tr bgcolor="#DDDDDD">
<td><strong>Contract Register</strong></td><td><strong>Contract Type</strong></td><td><strong>Contract Year</strong></td><td><strong>Company Name (Partner 1 Similar)</strong></td><td><strong>Effective Date</strong></td><td><strong>Termination Date</strong></td><td><strong>Purpose</strong></td>
</tr>

<tr bgcolor="#EEF6EF">

<td valign="top"><?=$contract_register?></td>
<td valign="top"><?=$contract_type?></td>
<td valign="top"><?=$contract_year?></td>
<td valign="top"><a href="../main/view.php?contract_id=<?=$contract_id?>"><?=$partner_1?></a></td>
<td valign="top"><?=$effective_date?></td>
<td valign="top"><?=$termination_date?></td>
<td valign="top"><textarea rows="4" cols="15"><?=$contract_purpose?></textarea></td>
</tr>
</table>
<br/>
<?
$i++;
}
} # end if (for choose_filter = similar_company)
elseif($choose_filter == "effective_date")
{
	$find_similar = "SELECT * FROM main_contracts WHERE effective_date LIKE '{$effective_date}'";
$exec_find_similar = mysql_query($find_similar) or die (mysql_error());
$count = mysql_num_rows($exec_find_similar);
$i = 0;
while($i < $count)
{
	$filing_id = mysql_result($exec_find_similar,$i,"filing_id");
	$partner_1 = mysql_result($exec_find_similar,$i,"partner_1");
	$contract_id = mysql_result($exec_find_similar,$i,"contract_id");
	$contract_register = mysql_result($exec_find_similar, $i, "contract_register");
	$contract_type = mysql_result($exec_find_similar, $i, "contract_type");
	$contract_year = mysql_result($exec_find_similar, $i, "contract_year");
	$contract_purpose = mysql_result($exec_find_similar, $i, "contract_purpose");
	$effective_date = mysql_result($exec_find_similar, $i, "effective_date");
	$termination_date = mysql_result($exec_find_similar, $i, "termination_date");
	$manager_name = mysql_result($exec_find_similar, $i, "manager_name");
	
?>
<table width="100%" cellspacing="2" cellpadding="2" border="0" class="content">
<tr bgcolor="#DDDDDD">
<td><strong>Contract Register</strong></td><td><strong>Contract Type</strong></td><td><strong>Contract Year</strong></td><td><strong>Company Name (Partner 1 Similar)</strong></td><td><strong>Effective Date</strong></td><td><strong>Termination Date</strong></td><td><strong>Purpose</strong></td>
</tr>

<tr bgcolor="#EEF6EF">

<td valign="top"><?=$contract_register?></td>
<td valign="top"><?=$contract_type?></td>
<td valign="top"><?=$contract_year?></td>
<td valign="top"><a href="../main/view.php?contract_id=<?=$contract_id?>"><?=$partner_1?></a></td>
<td valign="top"><?=$effective_date?></td>
<td valign="top"><?=$termination_date?></td>
<td valign="top"><textarea rows="4" cols="15"><?=$contract_purpose?></textarea></td>
</tr>
</table>
<br/>
<?
$i++;
}
} # end if (for choose_filter = similar_company)
elseif($choose_filter == "termination_date")
{
	$find_similar = "SELECT * FROM main_contracts WHERE termination_date LIKE '{$termination_date}'";
$exec_find_similar = mysql_query($find_similar) or die (mysql_error());
$count = mysql_num_rows($exec_find_similar);
$i = 0;
while($i < $count)
{
	$filing_id = mysql_result($exec_find_similar,$i,"filing_id");
	$partner_1 = mysql_result($exec_find_similar,$i,"partner_1");
	$contract_id = mysql_result($exec_find_similar,$i,"contract_id");
	$contract_register = mysql_result($exec_find_similar, $i, "contract_register");
	$contract_type = mysql_result($exec_find_similar, $i, "contract_type");
	$contract_year = mysql_result($exec_find_similar, $i, "contract_year");
	$contract_purpose = mysql_result($exec_find_similar, $i, "contract_purpose");
	$effective_date = mysql_result($exec_find_similar, $i, "effective_date");
	$termination_date = mysql_result($exec_find_similar, $i, "termination_date");
	$manager_name = mysql_result($exec_find_similar, $i, "manager_name");
	
?>

<table width="100%" cellspacing="2" cellpadding="2" border="0" class="content">
<tr bgcolor="#DDDDDD">
<td><strong>Contract Register</strong></td><td><strong>Contract Type</strong></td><td><strong>Contract Year</strong></td><td><strong>Company Name (Partner 1 Similar)</strong></td><td><strong>Effective Date</strong></td><td><strong>Termination Date</strong></td><td><strong>Purpose</strong></td>
</tr>

<tr bgcolor="#EEF6EF">

<td valign="top"><?=$contract_register?></td>
<td valign="top"><?=$contract_type?></td>
<td valign="top"><?=$contract_year?></td>
<td valign="top"><a href="../main/view.php?contract_id=<?=$contract_id?>"><?=$partner_1?></a></td>
<td valign="top"><?=$effective_date?></td>
<td valign="top"><?=$termination_date?></td>
<td valign="top"><textarea rows="4" cols="15"><?=$contract_purpose?></textarea></td>
</tr>
</table>
<br/>
<?
$i++;
}
} # end if (for choose_filter = similar_company)
elseif($choose_filter == "governing_law")
{
	$find_similar = "SELECT * FROM main_contracts WHERE governing_law LIKE '{$governing_law}'";
$exec_find_similar = mysql_query($find_similar) or die (mysql_error());
$count = mysql_num_rows($exec_find_similar);
$i = 0;
while($i < $count)
{
	$filing_id = mysql_result($exec_find_similar,$i,"filing_id");
	$partner_1 = mysql_result($exec_find_similar,$i,"partner_1");
	$contract_id = mysql_result($exec_find_similar,$i,"contract_id");
	$contract_register = mysql_result($exec_find_similar, $i, "contract_register");
	$contract_type = mysql_result($exec_find_similar, $i, "contract_type");
	$contract_year = mysql_result($exec_find_similar, $i, "contract_year");
	$contract_purpose = mysql_result($exec_find_similar, $i, "contract_purpose");
	$effective_date = mysql_result($exec_find_similar, $i, "effective_date");
	$termination_date = mysql_result($exec_find_similar, $i, "termination_date");
	$manager_name = mysql_result($exec_find_similar, $i, "manager_name");
	
?>
<table width="100%" cellspacing="2" cellpadding="2" border="0" class="content">
<tr bgcolor="#DDDDDD">
<td><strong>Contract Register</strong></td><td><strong>Contract Type</strong></td><td><strong>Contract Year</strong></td><td><strong>Company Name (Partner 1 Similar)</strong></td><td><strong>Effective Date</strong></td><td><strong>Termination Date</strong></td><td><strong>Purpose</strong></td>
</tr>

<tr bgcolor="#EEF6EF">

<td valign="top"><?=$contract_register?></td>
<td valign="top"><?=$contract_type?></td>
<td valign="top"><?=$contract_year?></td>
<td valign="top"><a href="../main/view.php?contract_id=<?=$contract_id?>"><?=$partner_1?></a></td>
<td valign="top"><?=$effective_date?></td>
<td valign="top"><?=$termination_date?></td>
<td valign="top"><textarea rows="4" cols="15"><?=$contract_purpose?></textarea></td>
</tr>
</table>
<br/>
<?
$i++;
}
} # end if (for choose_filter = similar_company)
elseif($choose_filter == "company")
{
	$find_similar = "SELECT * FROM main_contracts WHERE company LIKE '{$company}'";
$exec_find_similar = mysql_query($find_similar) or die (mysql_error());
$count = mysql_num_rows($exec_find_similar);
$i = 0;
while($i < $count)
{
	$filing_id = mysql_result($exec_find_similar,$i,"filing_id");
	$partner_1 = mysql_result($exec_find_similar,$i,"partner_1");
	$contract_id = mysql_result($exec_find_similar,$i,"contract_id");
	$contract_register = mysql_result($exec_find_similar, $i, "contract_register");
	$contract_type = mysql_result($exec_find_similar, $i, "contract_type");
	$contract_year = mysql_result($exec_find_similar, $i, "contract_year");
	$contract_purpose = mysql_result($exec_find_similar, $i, "contract_purpose");
	$effective_date = mysql_result($exec_find_similar, $i, "effective_date");
	$termination_date = mysql_result($exec_find_similar, $i, "termination_date");
	$manager_name = mysql_result($exec_find_similar, $i, "manager_name");
	
?>
<table width="100%" cellspacing="2" cellpadding="2" border="0" class="content">
<tr bgcolor="#DDDDDD">
<td><strong>Contract Register</strong></td><td><strong>Contract Type</strong></td><td><strong>Contract Year</strong></td><td><strong>Company Name (Partner 1 Similar)</strong></td><td><strong>Effective Date</strong></td><td><strong>Termination Date</strong></td><td><strong>Purpose</strong></td>
</tr>

<tr bgcolor="#EEF6EF">

<td valign="top"><?=$contract_register?></td>
<td valign="top"><?=$contract_type?></td>
<td valign="top"><?=$contract_year?></td>
<td valign="top"><a href="../main/view.php?contract_id=<?=$contract_id?>"><?=$partner_1?></a></td>
<td valign="top"><?=$effective_date?></td>
<td valign="top"><?=$termination_date?></td>
<td valign="top"><textarea rows="4" cols="15"><?=$contract_purpose?></textarea></td>
</tr>
</table>
<br/>
<?
$i++;
}
} # end if (for choose_filter = similar_company)
elseif($choose_filter == "manager_name")
{
	$find_similar = "SELECT * FROM main_contracts WHERE manager_name LIKE '{$manager_name}'";
$exec_find_similar = mysql_query($find_similar) or die (mysql_error());
$count = mysql_num_rows($exec_find_similar);
$i = 0;
while($i < $count)
{
	$filing_id = mysql_result($exec_find_similar,$i,"filing_id");
	$partner_1 = mysql_result($exec_find_similar,$i,"partner_1");
	$contract_id = mysql_result($exec_find_similar,$i,"contract_id");
	$contract_register = mysql_result($exec_find_similar, $i, "contract_register");
	$contract_type = mysql_result($exec_find_similar, $i, "contract_type");
	$contract_year = mysql_result($exec_find_similar, $i, "contract_year");
	$contract_purpose = mysql_result($exec_find_similar, $i, "contract_purpose");
	$effective_date = mysql_result($exec_find_similar, $i, "effective_date");
	$termination_date = mysql_result($exec_find_similar, $i, "termination_date");
	$manager_name = mysql_result($exec_find_similar, $i, "manager_name");
	
?>
<table width="100%" cellspacing="2" cellpadding="2" border="0" class="content">
<tr bgcolor="#DDDDDD">
<td><strong>Contract Register</strong></td><td><strong>Contract Type</strong></td><td><strong>Contract Year</strong></td><td><strong>Company Name (Partner 1 Similar)</strong></td><td><strong>Effective Date</strong></td><td><strong>Termination Date</strong></td><td><strong>Purpose</strong></td>
</tr>

<tr bgcolor="#EEF6EF">

<td valign="top"><?=$contract_register?></td>
<td valign="top"><?=$contract_type?></td>
<td valign="top"><?=$contract_year?></td>
<td valign="top"><a href="../main/view.php?contract_id=<?=$contract_id?>"><?=$partner_1?></a></td>
<td valign="top"><?=$effective_date?></td>
<td valign="top"><?=$termination_date?></td>
<td valign="top"><textarea rows="4" cols="15"><?=$contract_purpose?></textarea></td>
</tr>
</table>
<br/>
<?
$i++;
}
} # end if (for choose_filter = similar_company)
elseif($choose_filter == "cm_username")
{
	$find_similar = "SELECT * FROM main_contracts WHERE cm_username LIKE '{$cm_username}'";
$exec_find_similar = mysql_query($find_similar) or die (mysql_error());
$count = mysql_num_rows($exec_find_similar);
$i = 0;
while($i < $count)
{
	$filing_id = mysql_result($exec_find_similar,$i,"filing_id");
	$partner_1 = mysql_result($exec_find_similar,$i,"partner_1");
	$contract_id = mysql_result($exec_find_similar,$i,"contract_id");
	$contract_register = mysql_result($exec_find_similar, $i, "contract_register");
	$contract_type = mysql_result($exec_find_similar, $i, "contract_type");
	$contract_year = mysql_result($exec_find_similar, $i, "contract_year");
	$contract_purpose = mysql_result($exec_find_similar, $i, "contract_purpose");
	$effective_date = mysql_result($exec_find_similar, $i, "effective_date");
	$termination_date = mysql_result($exec_find_similar, $i, "termination_date");
	$manager_name = mysql_result($exec_find_similar, $i, "manager_name");
	
?>
<table width="100%" cellspacing="2" cellpadding="2" border="0" class="content">
<tr bgcolor="#DDDDDD">
<td><strong>Contract Register</strong></td><td><strong>Contract Type</strong></td><td><strong>Contract Year</strong></td><td><strong>Company Name (Partner 1 Similar)</strong></td><td><strong>Effective Date</strong></td><td><strong>Termination Date</strong></td><td><strong>Purpose</strong></td>
</tr>

<tr bgcolor="#EEF6EF">

<td valign="top"><?=$contract_register?></td>
<td valign="top"><?=$contract_type?></td>
<td valign="top"><?=$contract_year?></td>
<td valign="top"><a href="../main/view.php?contract_id=<?=$contract_id?>"><?=$partner_1?></a></td>
<td valign="top"><?=$effective_date?></td>
<td valign="top"><?=$termination_date?></td>
<td valign="top"><textarea rows="4" cols="15"><?=$contract_purpose?></textarea></td>
</tr>
</table>
<br/>
<?
$i++;
}
} # end if (for choose_filter = similar_company)
?>